Package twisted :: Package news :: Module news :: Class NNTPFactory

[show private | hide private]
[frames | no frames]

## Class NNTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   NNTPFactory

Known Subclasses:
  `UsenetServerFactory`

A factory for NNTP server protocols.

Method Summary
| `__init__(self, backend)`
| `buildProtocol(self, connection)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `NNTPServer`

Class Variable Details

### NNTPServer

`NNTPServer` = `twisted.protocols.nntp.NNTPServer`

Generated by Epydoc 1.1 on Thu May 8 13:18:34 2003 | http://epydoc.sf.net